<?php

/*

 * Plugin Name:       Gravity Forms Less Annoying CRM 

 * Plugin URI:        https://unifieldgroup.com/

 * Description:       Integrates Gravity Forms with Less Annoying CRM allowing application form submissions to be automatically sent to your Less Annoying CRM account.

 * Version:           1.0

 * Requires at least: 5.6

 * Requires PHP:      7.3

 * Author:            Binesh Sah 

 * Text Domain:       Gravity Forms Less Annoying CRM 

 */





add_action( 'gform_after_submission', 'post_to_lessannoying_CRM', 10, 2 );

function post_to_lessannoying_CRM( $entry, $form ) {

    if($form['fields']){

        $formId = $form['fields'][0]['formId'];

    } 

    //application gravity form ID 2   

    if($formId == '2'){

    GFCommon::log_debug( 'gform: id => ' . print_r( $formId, true) );



    

    $endpoint_url =  'https://unifieldgroup.com/saveToLessAnnoyingCRM.php';

        $body = array(

            'first_name' => rgar( $entry, '5' ),

            'middle_name' => rgar( $entry, '7' ),

            'last_name' => rgar( $entry, '6' ),

            'email' => rgar( $entry, '8' ),

            'phone' => rgar( $entry, '9' ),

            'work_auth' => rgar( $entry, '11' ),

            'miu_app_id' => rgar( $entry, '34' ),

            'country_of_residence' => rgar( $entry, '10.1' ),

            'working_as_soft_dev' => rgar( $entry, '13' ),

            'python' => rgar( $entry, '15.1' ),

            'java' => rgar( $entry, '15.2' ),

            'javascript' => rgar( $entry, '15.3' ),

            'csharp' => rgar( $entry, '15.4' ),

            'ccplus' => rgar( $entry, '15.5' ),

            'php' => rgar( $entry, '15.6' ),

            'dart' => rgar( $entry, '15.7' ),            

            'ra' => rgar( $entry, '15.8' ),

            'typescript' => rgar( $entry, '15.9' ),

            'swift' => rgar( $entry, '15.11' ),

            'otherskills' => rgar( $entry, '36' ),

	   'ref_number' =>rgar( $entry, 'id' ),


            );

        GFCommon::log_debug( 'gform_after_submission: body => ' . print_r( $body, true ) );

        $response = wp_remote_post( $endpoint_url, array('body' => $body ) );

        GFCommon::log_debug( 'gform_after_submission: response => ' . print_r( $response, true) );

    }

}

function searchTalentInlessAnnoyingCRM_func($atts) {
  ob_start(); 
      include('searchLessAnnoyingCRM.php');     
    
  return ob_get_clean();
} 
add_shortcode( 'search_talent_crm', 'searchTalentInlessAnnoyingCRM_func' );

?>